USE [master]
GO
/****** Object:  Database [DIGITALGRAF]    Script Date: 30/06/2018 08:52:41 p.m. ******/
CREATE DATABASE [DIGITALGRAF]
 CONTAINMENT = NONE
 ON  PRIMARY 
( NAME = N'DIGITALGRAF', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL14.SQLEXPRESS\MSSQL\DATA\DIGITALGRAF.mdf' , SIZE = 8192KB , MAXSIZE = UNLIMITED, FILEGROWTH = 65536KB )
 LOG ON 
( NAME = N'DIGITALGRAF_log', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL14.SQLEXPRESS\MSSQL\DATA\DIGITALGRAF_log.ldf' , SIZE = 8192KB , MAXSIZE = 2048GB , FILEGROWTH = 65536KB )
GO
ALTER DATABASE [DIGITALGRAF] SET COMPATIBILITY_LEVEL = 140
GO
IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [DIGITALGRAF].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO
ALTER DATABASE [DIGITALGRAF] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [DIGITALGRAF] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [DIGITALGRAF] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [DIGITALGRAF] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [DIGITALGRAF] SET ARITHABORT OFF 
GO
ALTER DATABASE [DIGITALGRAF] SET AUTO_CLOSE ON 
GO
ALTER DATABASE [DIGITALGRAF] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [DIGITALGRAF] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [DIGITALGRAF] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [DIGITALGRAF] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [DIGITALGRAF] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [DIGITALGRAF] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [DIGITALGRAF] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [DIGITALGRAF] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [DIGITALGRAF] SET  ENABLE_BROKER 
GO
ALTER DATABASE [DIGITALGRAF] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO
ALTER DATABASE [DIGITALGRAF] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO
ALTER DATABASE [DIGITALGRAF] SET TRUSTWORTHY OFF 
GO
ALTER DATABASE [DIGITALGRAF] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO
ALTER DATABASE [DIGITALGRAF] SET PARAMETERIZATION SIMPLE 
GO
ALTER DATABASE [DIGITALGRAF] SET READ_COMMITTED_SNAPSHOT OFF 
GO
ALTER DATABASE [DIGITALGRAF] SET HONOR_BROKER_PRIORITY OFF 
GO
ALTER DATABASE [DIGITALGRAF] SET RECOVERY SIMPLE 
GO
ALTER DATABASE [DIGITALGRAF] SET  MULTI_USER 
GO
ALTER DATABASE [DIGITALGRAF] SET PAGE_VERIFY CHECKSUM  
GO
ALTER DATABASE [DIGITALGRAF] SET DB_CHAINING OFF 
GO
ALTER DATABASE [DIGITALGRAF] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO
ALTER DATABASE [DIGITALGRAF] SET TARGET_RECOVERY_TIME = 60 SECONDS 
GO
ALTER DATABASE [DIGITALGRAF] SET DELAYED_DURABILITY = DISABLED 
GO
ALTER DATABASE [DIGITALGRAF] SET QUERY_STORE = OFF
GO
USE [DIGITALGRAF]
GO
ALTER DATABASE SCOPED CONFIGURATION SET IDENTITY_CACHE = ON;
GO
ALTER DATABASE SCOPED CONFIGURATION SET LEGACY_CARDINALITY_ESTIMATION = OFF;
GO
ALTER DATABASE SCOPED CONFIGURATION FOR SECONDARY SET LEGACY_CARDINALITY_ESTIMATION = PRIMARY;
GO
ALTER DATABASE SCOPED CONFIGURATION SET MAXDOP = 0;
GO
ALTER DATABASE SCOPED CONFIGURATION FOR SECONDARY SET MAXDOP = PRIMARY;
GO
ALTER DATABASE SCOPED CONFIGURATION SET PARAMETER_SNIFFING = ON;
GO
ALTER DATABASE SCOPED CONFIGURATION FOR SECONDARY SET PARAMETER_SNIFFING = PRIMARY;
GO
ALTER DATABASE SCOPED CONFIGURATION SET QUERY_OPTIMIZER_HOTFIXES = OFF;
GO
ALTER DATABASE SCOPED CONFIGURATION FOR SECONDARY SET QUERY_OPTIMIZER_HOTFIXES = PRIMARY;
GO
USE [DIGITALGRAF]
GO
/****** Object:  Table [dbo].[CARGO]    Script Date: 30/06/2018 08:52:42 p.m. ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[CARGO](
	[IDCARGO] [int] IDENTITY(1,1) NOT NULL,
	[DETALLE] [varchar](50) NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[IDCARGO] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[CIUDAD]    Script Date: 30/06/2018 08:52:42 p.m. ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[CIUDAD](
	[IDCIUDAD] [int] IDENTITY(1,1) NOT NULL,
	[NOMBRE] [varchar](30) NULL,
PRIMARY KEY CLUSTERED 
(
	[IDCIUDAD] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[CLIENTE]    Script Date: 30/06/2018 08:52:42 p.m. ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[CLIENTE](
	[IDCLIENTE] [int] IDENTITY(1,1) NOT NULL,
	[APELLIDOS] [varchar](70) NOT NULL,
	[NOMBRES] [varchar](30) NOT NULL,
	[DIRECCION] [varchar](100) NULL,
	[CORREO] [varchar](30) NOT NULL,
	[TELEFONO] [varchar](12) NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[IDCLIENTE] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[COLABORADOR]    Script Date: 30/06/2018 08:52:42 p.m. ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[COLABORADOR](
	[IDCOLABORADOR] [int] IDENTITY(1,1) NOT NULL,
	[APELLIDOS] [varchar](70) NOT NULL,
	[NOMBRE] [varchar](30) NULL,
	[CORREO] [varchar](30) NOT NULL,
	[TELEFONO] [varchar](20) NOT NULL,
	[IDSUCURSAL] [int] NOT NULL,
	[IDCARGO] [int] NOT NULL,
 CONSTRAINT [PK__COLABORA__9ADFB3AD2CE6B45A] PRIMARY KEY CLUSTERED 
(
	[IDCOLABORADOR] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[PRODUCTO]    Script Date: 30/06/2018 08:52:42 p.m. ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[PRODUCTO](
	[IDPRODUCTO] [int] IDENTITY(1,1) NOT NULL,
	[NOMBRE] [varchar](20) NOT NULL,
	[DETALLE] [varchar](70) NULL,
	[CANTIDAD] [int] NOT NULL,
	[PRECIO] [decimal](8, 2) NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[IDPRODUCTO] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[PROFORMA]    Script Date: 30/06/2018 08:52:42 p.m. ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[PROFORMA](
	[IDPROFORMA] [int] IDENTITY(1,1) NOT NULL,
	[DETALLE] [varchar](30) NOT NULL,
	[IDCLIENTE] [int] NOT NULL,
	[IDSUCURSAL] [int] NOT NULL,
	[IDPRODUCTO] [int] NOT NULL,
	[IDSERVICIO] [int] NOT NULL,
	[IDCOLABORADOR] [int] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[IDPROFORMA] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[SERVICIO]    Script Date: 30/06/2018 08:52:42 p.m. ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[SERVICIO](
	[IDSERVICIO] [int] IDENTITY(1,1) NOT NULL,
	[TIPOSERVICIO] [varchar](20) NOT NULL,
	[DETALLE] [varchar](40) NOT NULL,
	[PRECIO] [decimal](8, 2) NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[IDSERVICIO] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[SUCURSAL]    Script Date: 30/06/2018 08:52:42 p.m. ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[SUCURSAL](
	[IDSUCURSAL] [int] IDENTITY(1,1) NOT NULL,
	[NOMBRE] [varchar](40) NOT NULL,
	[DIRECCION] [varchar](60) NOT NULL,
	[TELEFONO] [varchar](12) NOT NULL,
	[IDCIUDAD] [int] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[IDSUCURSAL] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
ALTER TABLE [dbo].[COLABORADOR]  WITH CHECK ADD  CONSTRAINT [FK_COL_CAR] FOREIGN KEY([IDCARGO])
REFERENCES [dbo].[CARGO] ([IDCARGO])
GO
ALTER TABLE [dbo].[COLABORADOR] CHECK CONSTRAINT [FK_COL_CAR]
GO
ALTER TABLE [dbo].[COLABORADOR]  WITH CHECK ADD  CONSTRAINT [FK_COL_SUC] FOREIGN KEY([IDSUCURSAL])
REFERENCES [dbo].[SUCURSAL] ([IDSUCURSAL])
GO
ALTER TABLE [dbo].[COLABORADOR] CHECK CONSTRAINT [FK_COL_SUC]
GO
ALTER TABLE [dbo].[PROFORMA]  WITH CHECK ADD  CONSTRAINT [FK_PRO_CLI] FOREIGN KEY([IDCLIENTE])
REFERENCES [dbo].[CLIENTE] ([IDCLIENTE])
GO
ALTER TABLE [dbo].[PROFORMA] CHECK CONSTRAINT [FK_PRO_CLI]
GO
ALTER TABLE [dbo].[PROFORMA]  WITH CHECK ADD  CONSTRAINT [FK_PRO_COL] FOREIGN KEY([IDCOLABORADOR])
REFERENCES [dbo].[COLABORADOR] ([IDCOLABORADOR])
GO
ALTER TABLE [dbo].[PROFORMA] CHECK CONSTRAINT [FK_PRO_COL]
GO
ALTER TABLE [dbo].[PROFORMA]  WITH CHECK ADD  CONSTRAINT [FK_PRO_PRO] FOREIGN KEY([IDPRODUCTO])
REFERENCES [dbo].[PRODUCTO] ([IDPRODUCTO])
GO
ALTER TABLE [dbo].[PROFORMA] CHECK CONSTRAINT [FK_PRO_PRO]
GO
ALTER TABLE [dbo].[PROFORMA]  WITH CHECK ADD  CONSTRAINT [FK_PRO_SER] FOREIGN KEY([IDSERVICIO])
REFERENCES [dbo].[SERVICIO] ([IDSERVICIO])
GO
ALTER TABLE [dbo].[PROFORMA] CHECK CONSTRAINT [FK_PRO_SER]
GO
ALTER TABLE [dbo].[PROFORMA]  WITH CHECK ADD  CONSTRAINT [FK_PRO_SUC] FOREIGN KEY([IDSUCURSAL])
REFERENCES [dbo].[SUCURSAL] ([IDSUCURSAL])
GO
ALTER TABLE [dbo].[PROFORMA] CHECK CONSTRAINT [FK_PRO_SUC]
GO
ALTER TABLE [dbo].[SUCURSAL]  WITH CHECK ADD  CONSTRAINT [FK_SUC_CIU] FOREIGN KEY([IDCIUDAD])
REFERENCES [dbo].[CIUDAD] ([IDCIUDAD])
GO
ALTER TABLE [dbo].[SUCURSAL] CHECK CONSTRAINT [FK_SUC_CIU]
GO
USE [master]
GO
ALTER DATABASE [DIGITALGRAF] SET  READ_WRITE 
GO
